summaryrefslogtreecommitdiff
path: root/upgrade.sh
diff options
context:
space:
mode:
authorJoachim Breitner <mail@joachim-breitner.de>2015-08-12 13:56:41 +0200
committerJoachim Breitner <mail@joachim-breitner.de>2015-08-12 14:17:59 +0200
commit5ae613157b69eec3f8f0ffe62b9bb8eb05e2e207 (patch)
treea9afe6a813039f808c25d1eb707394b634b8dd1a /upgrade.sh
parent93954a3fd1fc83ebe5f76e91fb13d86304fbbb11 (diff)
downloadDHG_packages-5ae613157b69eec3f8f0ffe62b9bb8eb05e2e207.tar.gz
upgrade.sh: Refuse to upgrade to the same version
Diffstat (limited to 'upgrade.sh')
-rwxr-xr-xupgrade.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/upgrade.sh b/upgrade.sh
index 6ca8d5e25..29cad757f 100755
--- a/upgrade.sh
+++ b/upgrade.sh
@@ -34,7 +34,13 @@ version=$(grep "^$cabal_name " ../../../package-plan/packages.txt|cut -d\ -f2)
if [ -z "$version" ]
then
- echo "could not detect version to upgrade to"
+ echo "could not detect version to upgrade to."
+ exit 1
+fi
+
+if [ "$version" = "$old_version" ]
+then
+ echo "No new version to upgrade to."
exit 1
fi